pqxx::connect_lazy Class Reference
Connection classes

Lazy connection policy; causes connection to be deferred until first use. More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_lazy:

## Public Member Functions

| connect_lazy (const std::string &opts)
virtual handle | do_completeconnect (handle)
Public Member Functions inherited from pqxx::connectionpolicy
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_startconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()

## Additional Inherited Members

Public Types inherited from pqxx::connectionpolicy
typedef internal::pq::PGconn * | handle
Protected Member Functions inherited from pqxx::connectionpolicy
handle | normalconnect (handle)

## Detailed Description

Lazy connection policy; causes connection to be deferred until first use.

This is connect_direct's lazy younger brother. It does not attempt to open a connection right away; the connection is only created when it is actually used.

## Constructor & Destructor Documentation

## connect_lazy()

pqxx::connect_lazy::connect_lazy | ( | const std::string & | opts | ) |

explicit

## Member Function Documentation

## do_completeconnect()

pqxx::connectionpolicy::handle pqxx::connect_lazy::do_completeconnect | ( | handle | orig | ) |

virtual

Reimplemented from pqxx::connectionpolicy.

References pqxx::connectionpolicy::normalconnect().

The documentation for this class was generated from the following files:

- connection.hxx
- connection.cxx